package cn.axzo.workflow.common.model.request.bpmn;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 流程定义中的通知配置
 *
 * @author wangli
 * @since 2023/11/13 13:38
 */
@ApiModel("JSON 版本的 BPMN 协议模型中的通知管理")
@Data
@NoArgsConstructor
@Accessors(chain = true)
public class BpmnNoticeConf {

    /**
     * 待办消息模板 ID
     */
    @ApiModelProperty(value = "待办消息模板 ID")
    @NotBlank(message = "待办消息模板 ID 不能为空")
    private String pendingMessageId;

    /**
     * 通知消息模板 ID
     */
    @ApiModelProperty(value = "通知消息模板 ID")
    @NotBlank(message = "通知消息模板 ID 不能为空")
    private String noticeMessageId;

    /**
     * 短信模板 ID
     */
    @ApiModelProperty(value = "短信模板 ID")
    private String smsId;

    public String getPendingMessageId() {
        return pendingMessageId;
    }

    public void setPendingMessageId(String pendingMessageId) {
        this.pendingMessageId = pendingMessageId;
    }

    public String getNoticeMessageId() {
        return noticeMessageId;
    }

    public void setNoticeMessageId(String noticeMessageId) {
        this.noticeMessageId = noticeMessageId;
    }

    public String getSmsId() {
        return smsId;
    }

    public void setSmsId(String smsId) {
        this.smsId = smsId;
    }
}
